/* classic Rexx version, ---rgf, 2003-02, 2003-05-10, 2004-05-01, 2005-12-28, 2006-01-06 */
/* this version works on Java 1.1 too (because using "wrapEnumeration()") */
/*

   license:

    ------------------------ Apache Version 2.0 license -------------------------
       Copyright (C) 2001-2006 Rony G. Flatscher

       Licensed under the Apache License, Version 2.0 (the "License");
       you may not use this file except in compliance with the License.
       You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing, software
       distributed under the License is distributed on an "AS IS" BASIS,
       WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
       See the License for the specific language governing permissions and
       limitations under the License.
    -----------------------------------------------------------------------------
*/

   -- get the "System" class object using the services set up by "BSF.CLS", e.g. ".bsf4rexx"
system=bsf.loadClass('java.lang.System')
properties=system~getProperties                 -- get the System properties
enum=properties~propertyNames                   -- get an Enumeration of the property names

   -- wrap the Enumeration object, so Java 1.1 can handle this too
   -- use result to embed it in "BSF_PROXY", a subclass of "BSF.CLS", so one can send
   -- Object Rexx messages directly to it
enum=.bsf_proxy~new(bsf('wrapEnumeration', enum))
say copies("=", 70)

do while enum~hasMoreElements                   --  loop over enumeration
   key=enum~nextElement                         -- get next element
   say "key:" left("["key"]", 30) "value: ["properties~getProperty(key)"]"
end

::requires BSF.CLS -- get the OO-support for "BSF4Rexx"
